Page MenuHomePhabricator

1.37.0-wmf.20 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Train Conductor
brennen
Release Version
1.37.0-wmf.20
Release Date
Aug 23 2021, 12:00 AM

2021 week 34 1.37-wmf.20 Changes wmf/1.37.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, August 23rd:

Monday August 23rdTuesday, August 24thWednesday, August 25thThursday, August 26thFriday
Backports only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.37.0-wmf.19
Next: 1.37.0-wmf.21

Related Objects

StatusSubtypeAssignedTask
ResolvedReleasedancy
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedFlorian
InvalidFlorian
ResolvedJdlrobson
ResolvedSBisson
Resolvedbd808
ResolvedJdlrobson
DuplicateNone
OpenNone
ResolvedMainframe98
ResolvedNone
ResolvedMainframe98
ResolvedMainframe98
ResolvedNone
ResolvedNone
ResolvedJdlrobson
ResolvedBUG REPORTJdlrobson
ResolvedJdrewniak
ResolvedPRODUCTION ERRORmatmarex
ResolvedPRODUCTION ERRORTpt
ResolvedPRODUCTION ERRORZabe

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: brennen.
Risky Patch! 🚂🔥

CC @Majavah.

For your information, during deploying Growth features to a bunch of wikis (44 wikis in total), I accidentally managed to take zh_yuewiki down. This caused a lot of exceptions at that wiki for a few minutes (until I noticed and fixed the issue).

This is a snippet from -operations around that time:

17:13 <urbanecm> I just accidentaly brought https://zh-yue.wikipedia.org/ down. Fixing...
17:14 <urbanecm> and zh_yuewiki is back online now. Sorry!
17:16 <urbanecm> !log [urbanecm@mwmaint2002 ~]$ mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=zh_yuewiki growthexperiments # T289680

If there are any "table does not exist" exceptions at zh_yuewiki from today, that's very likely related.

For your reference, [89f97b03-ad58-4a25-9732-988a33f2862e] /wiki/Special:EditGrowthConfig Wikimedia\Rdbms\DBQueryError: Error 1146: Table 'zh_yuewiki.growthexperiments_mentor_mentee' doesn't exist (db2115) is an example error.

Mentioned in SAL (#wikimedia-operations) [2021-08-25T20:02:52Z] <brennen> 1.37.0-wmf.20 (T281161) status: blocked at group0; 2/3 blockers have probable patches, all seem to be getting attention, so holding off on blocker mail for now.

Mentioned in SAL (#wikimedia-operations) [2021-08-25T21:59:53Z] <brennen> 1.37.0-wmf.20 train status (T281161) blockers should be patched shortly; as we've reached the 15:00 Pacific deploy cutoff for the day, train will resume first thing in US morning

API linkshere/fileusage doesn't report links/uses through redirects anymore: T289792. This may be a blocker. It could result in a lot of broken file links/uses when a file is moved on Commons and file usage isn't reported properly. Also affects non-file pages.

And no, I'm not using double redirects.

@brennen, Jdforrester-WMF seems confused. This will cause problems that won't correct themselves. If this happens on production, you'll have to roll back Mediawiki. I assume rolling back Mediawiki is not fun.

T289792 is reproducible on test.wikipedia.org so it may belong here after all?
Never mind my bad it isn't I think.

T289792 is reproducible on test.wikipedia.org so it may belong here after all?

I suggest to discuss further in the task itself to avoid discussion fragmentation.

Change 715773 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] testwikis wikis to 1.37.0-wmf.21 refs T281161

https://gerrit.wikimedia.org/r/715773

Change 715773 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.37.0-wmf.21 refs T281161

https://gerrit.wikimedia.org/r/715773

Mentioned in SAL (#wikimedia-operations) [2021-08-31T18:30:04Z] <twentyafterfour@deploy1002> Started scap: testwikis wikis to 1.37.0-wmf.21 refs T281161

Mentioned in SAL (#wikimedia-operations) [2021-08-31T19:05:58Z] <twentyafterfour@deploy1002> Finished scap: testwikis wikis to 1.37.0-wmf.21 refs T281161 (duration: 35m 53s)

Change 715785 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group0 wikis to 1.37.0-wmf.21 refs T281161

https://gerrit.wikimedia.org/r/715785

Change 715785 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.37.0-wmf.21 refs T281161

https://gerrit.wikimedia.org/r/715785

Mentioned in SAL (#wikimedia-operations) [2021-08-31T20:00:30Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.37.0-wmf.21 refs T281161

brennen moved this task from In Progress to Done / Defunct on the User-brennen board.

Change 716024 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.21 refs T281161

https://gerrit.wikimedia.org/r/716024

Change 716024 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.21 refs T281161

https://gerrit.wikimedia.org/r/716024

Mentioned in SAL (#wikimedia-operations) [2021-09-01T19:56:34Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.37.0-wmf.21 refs T281161

Mentioned in SAL (#wikimedia-operations) [2021-09-01T19:57:44Z] <twentyafterfour@deploy1002> Synchronized php: group1 wikis to 1.37.0-wmf.21 refs T281161 (duration: 01m 06s)

sorry for spamming this task with wmf.21 updates, I had the wrong task id somehow